commit:     1161a34c83ea2c873d0d53655670f17d723fe5c8
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 13 08:18:40 2021 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Tue Jul 13 08:18:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1161a34c

x11-wm/mutter: Version bump to 40.3

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 x11-wm/mutter/Manifest           |   1 +
 x11-wm/mutter/mutter-40.3.ebuild | 166 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 167 insertions(+)

diff --git a/x11-wm/mutter/Manifest b/x11-wm/mutter/Manifest
index dcdef6f61a8..01eac01f58e 100644
--- a/x11-wm/mutter/Manifest
+++ b/x11-wm/mutter/Manifest
@@ -4,3 +4,4 @@ DIST mutter-40.1-r1-patchset.tar.xz 25312 BLAKE2B 
bcb58a50d63076ec012a2866dcbaba
 DIST mutter-40.1.tar.xz 2680816 BLAKE2B 
924fd977e1c6669abd5adea1855c3a0a4027ae7e96ab3c6ccbe3d54da5f431e386f9c2f8f060dc9cd066c7414a2bb90a05760fa3413c6805cd8b73cb5d3aed90
 SHA512 
c2b6603e1d55492916f742f9cb8e15588cb30e78c37de987404ac40d3befa65e417184305ad87fdffc41052a094790f9e324a1ea7482e5de4f0439dceefed118
 DIST mutter-40.2.1.tar.xz 2681780 BLAKE2B 
b273bc9979e285bd6c48afb367f0973114dbc9af086b5aadf41e6dc1cca54f7ca25975a4e2fe5b4acb020fa8f5fc136f0661be2b06deaacf25c363a187567b73
 SHA512 
f9b50b10f6a4ee8ba3d8d721734d25184675c2af1f14cb8da8cac6a6a60397c36bf39e87db06ac0ed8a0f3cbf78859e57fa965ac0d2593ed9c6aa9692d90d5b2
 DIST mutter-40.2.tar.xz 2681840 BLAKE2B 
7785086a9aff9f273735e0a0716a8535a7e69b35c5b4312d8a363b4058e84e499a15c1d9b085c40d1303e69e661fd74c286da89a83a27d86e1a56c537f7e2e18
 SHA512 
9582004efde7a4b2ad21c390f4a4558c99709e21bdcac3f161f185612de9aaeb60cbfcf5dd1684726ae18244540aa4b6bcd2b9f362b92eb8c74304c43c9e1113
+DIST mutter-40.3.tar.xz 2682460 BLAKE2B 
41e505adc9aa6ca53d1f43d71051bc09c0f4f528803f10c8f4ad8fe2cf28f5a02a3d3dca1a4a02b702a40177501663e20b68415295805b6c0503690dbb5e53fc
 SHA512 
beb9cb1b8dee153fe204aa5d799e4ba44380c8483362ab4f7b149c715be6fa929345386b78af73ca6ae7e864dd2923e5c0de88404f8ffe5d22f2ae9238bcc074

diff --git a/x11-wm/mutter/mutter-40.3.ebuild b/x11-wm/mutter/mutter-40.3.ebuild
new file mode 100644
index 00000000000..0e7403318d2
--- /dev/null
+++ b/x11-wm/mutter/mutter-40.3.ebuild
@@ -0,0 +1,166 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit gnome.org gnome2-utils meson udev virtualx xdg
+
+DESCRIPTION="GNOME compositing window manager based on Clutter"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/mutter/";
+
+LICENSE="GPL-2+"
+SLOT="0/8" # 0/libmutter_api_version - ONLY gnome-shell (or anything using 
mutter-clutter-<api_version>.pc) should use the subslot
+
+IUSE="elogind input_devices_wacom +introspection screencast sysprof systemd 
test udev wayland video_cards_nvidia"
+# native backend requires gles3 for hybrid graphics blitting support, udev and 
a logind provider
+REQUIRED_USE="
+       wayland? ( ^^ ( elogind systemd ) udev )
+       test? ( wayland )"
+RESTRICT="!test? ( test )"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+# gnome-settings-daemon is build checked, but used at runtime only for 
org.gnome.settings-daemon.peripherals.keyboard gschema
+# xorg-server is needed at build and runtime with USE=wayland for Xwayland
+# v3.32.2 has many excessive or unused *_req variables declared, thus 
currently the dep order ignores those and goes via dependency() call order
+DEPEND="
+       >=x11-libs/libX11-1.7.0
+       >=media-libs/graphene-1.10.2[introspection?]
+       >=x11-libs/gtk+-3.19.8:3[X,introspection?]
+       x11-libs/gdk-pixbuf:2
+       >=x11-libs/pango-1.46[introspection?]
+       >=dev-libs/fribidi-1.0.0
+       >=x11-libs/cairo-1.14[X]
+       >=gnome-base/gsettings-desktop-schemas-40.0[introspection?]
+       >=dev-libs/glib-2.67.3:2
+       gnome-base/gnome-settings-daemon
+       >=dev-libs/json-glib-0.12.0[introspection?]
+       gnome-base/gnome-desktop:3=
+       >=x11-libs/libXcomposite-0.4
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       >=x11-libs/libXfixes-3
+       >=x11-libs/libXi-1.7.4
+       x11-libs/libXtst
+       x11-libs/libxkbfile
+       x11-misc/xkeyboard-config
+       >=x11-libs/libxkbcommon-0.4.3[X]
+       x11-libs/libXrender
+       >=x11-libs/libXrandr-1.5.0
+       x11-libs/libxcb
+       x11-libs/libXinerama
+       x11-libs/libXau
+       x11-libs/libICE
+       >=dev-libs/atk-2.5.3[introspection?]
+       >=media-libs/libcanberra-0.26
+       sys-apps/dbus
+       media-libs/mesa[X(+),egl]
+       sysprof? ( >=dev-util/sysprof-capture-3.40.1:4 )
+       wayland? (
+               >=dev-libs/wayland-protocols-1.19
+               >=dev-libs/wayland-1.18.0
+               x11-libs/libdrm:=
+               >=media-libs/mesa-17.3[egl,gbm,wayland,gles2]
+               >=dev-libs/libinput-1.15.0
+               systemd? ( sys-apps/systemd )
+               elogind? ( sys-auth/elogind )
+               x11-base/xorg-server[wayland]
+               video_cards_nvidia? ( gui-libs/egl-wayland )
+       )
+       udev? ( >=dev-libs/libgudev-232:=
+               >=virtual/libudev-232-r1:= )
+       x11-libs/libSM
+       input_devices_wacom? ( >=dev-libs/libwacom-0.13 )
+       >=x11-libs/startup-notification-0.7
+       screencast? ( >=media-video/pipewire-0.3.21:0/0.3 )
+       introspection? ( >=dev-libs/gobject-introspection-1.54:= )
+"
+RDEPEND="${DEPEND}
+       gnome-extra/zenity
+"
+DEPEND="${DEPEND}
+       x11-base/xorg-proto
+       sysprof? ( >=dev-util/sysprof-common-3.38.0 )
+"
+# wayland bdepend for wayland-scanner, and either libxcvt or 
xorg-server[xorg,-minimal] for the cvt binary
+BDEPEND="
+       dev-libs/wayland
+       dev-util/gdbus-codegen
+       dev-util/glib-utils
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? ( app-text/docbook-xml-dtd:4.5 )
+       wayland? (
+               >=sys-kernel/linux-headers-4.4
+               || (
+                       x11-libs/libxcvt
+                       <x11-base/xorg-server-1.20.11-r3[xorg,-minimal]
+               )
+       )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-40.0-Disable-anonymous-file-test.patch
+)
+
+src_configure() {
+       # TODO: Replicate debug vs release meson build type behaviour under our 
buildtype=plain
+       local emesonargs=(
+               -Dopengl=true
+               #opengl_libname
+               #gles2_libname
+               $(meson_use wayland gles2)
+               -Degl=true
+               -Dglx=true
+               $(meson_use wayland)
+               $(meson_use wayland native_backend)
+               $(meson_use screencast remote_desktop)
+               $(meson_use udev)
+               -Dudev_dir=$(get_udevdir)
+               $(meson_use input_devices_wacom libwacom)
+               -Dpango_ft2=true
+               -Dstartup_notification=true
+               -Dsm=true
+               $(meson_use introspection)
+               $(meson_use test cogl_tests)
+               $(meson_use wayland core_tests) # core tests require wayland; 
overall -Dtests option is honored on top, so no extra conditional needed
+               -Dnative_tests=false
+               $(meson_use test clutter_tests)
+               $(meson_use test tests)
+               $(meson_use sysprof profiler)
+               -Dinstalled_tests=false
+               #verbose # Let upstream choose default for verbose mode
+               #xwayland_path
+               # TODO: relies on default settings, but in Gentoo we might have 
some more packages we want to give Xgrab access (mostly virtual managers and 
remote desktops)
+               #xwayland_grab_default_access_rules
+       )
+
+       if use wayland && use video_cards_nvidia; then
+               emesonargs+=(
+                       -Degl_device=true
+                       -Dwayland_eglstream=true
+               )
+       else
+               emsonargs+=(
+                       -Degl_device=false
+                       -Dwayland_eglstream=false
+               )
+       fi
+
+       meson_src_configure
+}
+
+src_test() {
+       glib-compile-schemas "${BUILD_DIR}"/data
+       GSETTINGS_SCHEMA_DIR="${BUILD_DIR}"/data virtx meson_src_test
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+       gnome2_schemas_update
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+       gnome2_schemas_update
+}

Reply via email to